Subject: Re: HFL -audits
From: Jade Cuizon <[email-masked]>
To: Deeksha Dadu <[email-masked]>
Cc: Rajiv Prabhakar <[email-masked]>, akhil <[email-masked]>, admin <[email-masked]>, Cheryl Barde <[email-masked]>, Joeffrey Garrera <[email-masked]>, Richard Plateros <[email-masked]>, Buffer Buffer <[email-masked]>, nikkie <[email-masked]>
Date: Wed, 2 Jul 2014 07:25:44 +0530 (IST)

Hi Deeksha Ma'am, 

Feedback were much appreciated. 

[6:38 AM] Jade: Let me check the available shipping methods and cost for your country. One moment please. 

[6:40 AM] Visitor 28207767: any additional costs for shipment to Antigua?? 

[6:41 AM] Jade: Thank you for waiting. What took you 3 minutes to get back to the customer? 

[6:41 AM] Jade: There is no additional costs (cost) for shipments to Antigua. This is a very confusing sentence and may result in miscommunication. You should have informed the customer about the international shipping options we offered. This customer might think that she may get the package shipped to her without any shipping or at the same rates as US shipping options. Need to ensure that we do not provide any information that may seem to be misleading. 

-I was actually trying to search for a sample post address for the country Antigua to generate the exact shipping and handling cost for the said country to provide to cs. But unluckily I wasn't able to get one. 

Will work on with chat response time and avoid typo errors. 

Regards, 
Jade 

----- Original Message ----- 
From: "Deeksha Dadu" <[email-masked]> 
To: "Cheryl Barde" <[email-masked]>, "Joeffrey Garrera" <[email-masked]>, "Richard Plateros" <[email-masked]>, "Buffer Buffer" <[email-masked]>, "Jade Cuizon" <[email-masked]>, "nikkie" <[email-masked]> 
Cc: "Rajiv Prabhakar" <[email-masked]>, "akhil" <[email-masked]>, "admin" <[email-masked]> 
Sent: Tuesday, July 1, 2014 9:56:59 PM GMT +08:00 Beijing / Chongqing / Hong Kong / Urumqi 
Subject: HFL -audits 

Hi all, 

Please find attached the audits for HFL. 

I am extremely disappointed and upset to see that barring 1-2 agents, none of you are bothering to actually read, understand and implement the feedback. Most of you still continue to make same mistakes, give irrelevant responses and do not bother to give specific information even though you have them available in your training documents. 

I need ALL of you to carefully go through your training documents once again, especially the product specific information. You may not be bale to memorize everything but you need to know what information can be found here. Most of you depend on general information that does not address customer's concern. 

I NEED ALL OF YOU TO GO THROUGH EACH AND EVRY FEEDBACK THAT I HAVE GIVEN. This time I do not want a general, useless 'we have understood the feedback' email from any of you. I need an EXPLANATION for what you did and what you are doing to rectify it. 

Regards, 
Deeksha